# class Publisher

*Defined at src/hosts/publisher.h#17*

Inherits from Host



## Functions

### Publisher

*public void Publisher(Simulator * sim, NodeId id, Time update_latency_base, std::unique_ptr<PubBasePolicy> policy, Time mgmt_latency)*

### recv_update

*public void recv_update(Bytes size, PacketGroups update_groups_mask)*

### set_status

*public void set_status(NodeStatus s, Time new_latency)*

### recv_mgmt_msg

*public void recv_mgmt_msg(MgmtMsgPtr msg)*

### recv_flow

*public void recv_flow(NodeId src, FlowId flow, FlowPriority prio, Bytes flow_size)*

### recv_frame

*public void recv_frame(const Packet & frame)*

### updates_in

*public uint64_t updates_in()*

*Defined at src/hosts/publisher.h#40*

### bytes_out

*public uint64_t bytes_out()*

*Defined at src/hosts/publisher.h#43*



